import { JavaObject } from '../../../java/lang/JavaObject';
export declare class KatalogEintrag extends JavaObject {
    id: number;
    kuerzel: String | null;
    text: String | null;
    istSichtbar: boolean;
    istAenderbar: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KatalogEintrag;
    static transpilerToJSON(obj: KatalogEintrag): string;
    static transpilerToJSONPatch(obj: Partial<KatalogEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kataloge_KatalogEintrag(obj: unknown): KatalogEintrag;
